## octave-lssa 0.1.3

=== DESCRIPTION ===
Name: lssa
Version: 0.1.3
Date: 2018-07-23
Author: Ben Lewis <benjf5@gmail.com>
Maintainer: Ben Lewis <benjf5@gmail.com>, John Donoghue <john.donoghue@ieee.org>
Title: Least squares spectral analysis
Description: A package implementing tools to compute spectral decompositions of
 irregularly-spaced time series.  Currently includes functions based off the
 Lomb-Scargle periodogram and Adolf Mathias' implementation for R and C (see
 URLs). 
Url: http://www.jstatsoft.org/v11/i02
Problems: fast implementations, wavelet functions are currently not functional.
Depends: octave (>= 3.6.0)
Autoload: no
License: GPLv3+
