=== debian/changelog ===
octave-lssa (0.1.3-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:52:09 +0100

octave-lssa (0.1.3-3) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 07 Nov 2019 04:57:59 -0300

octave-lssa (0.1.3-2) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.3.0 (no changes needed)
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:56:26 -0200

octave-lssa (0.1.3-1) unstable; urgency=medium

  * New upstream version 0.1.3
  * Drop patches (applied upstream):
    + d/p/compile-with-gcc-6.patch
    + d/p/force-clean.patch
  * d/copyright: Refresh for new upstream release
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.2.0

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 11 Aug 2018 07:39:32 -0300

octave-lssa (0.1.2-1) unstable; urgency=low

  * Initial release (closes: #900050)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 30 Jun 2018 10:20:18 -0300
