=== debian/control ===
Source: octave-lssa
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave (>= 0.7.1)
Standards-Version: 4.4.1
Homepage: https://octave.sourceforge.io/lssa/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-lssa.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-lssa
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-lssa
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: least squares spectral analysis for Octave
 This package implementing tools to compute spectral decompositions of
 irregularly-spaced time series in Octave, a scientific software
 package.  Currently includes functions based off the Lomb-Scargle
 periodogram and Adolf Mathias' implementation for R and C.
 .
 This Octave add-on package is part of the Octave-Forge project.
