=== debian/control ===
--- 
+++ 
@@ -2,15 +2,14 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-octave (>= 0.7.1)
-Standards-Version: 4.4.1
-Homepage: https://octave.sourceforge.io/lssa/
+Uploaders: Rafael Laboissière <rafael@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-octave
+Standards-Version: 4.7.2
+Homepage: https://gnu-octave.github.io/packages/lssa/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-lssa.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-lssa
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-lssa
 Architecture: any
