=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

execute_after_dh_installdeb:
	rmdir debian/octave-lssa/usr/share/octave/packages/lssa-*/test
